# Method: matters.holds.update

- [HTTP request](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds/update#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds/update#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds/update#body.request_body)
- [Response body](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds/update#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds/update#body.aspect)
- [Try it!](https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds/update#try-it)

Updates the scope (organizational unit or accounts) and query parameters of a hold. You cannot add accounts to a hold that covers an organizational unit, nor can you add organizational units to a hold that covers individual accounts. If you try, the unsupported values are ignored.

### HTTP request

`PUT https://vault.googleapis.com/v1/matters/{matterId}/holds/{holdId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `matterId` | `string` The matter ID. |
| `holdId` | `string` The ID of the hold. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds#Hold`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/vault/reference/rest/v1/matters.holds#Hold`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/ediscovery`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).